> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getCompanyInfo

> 
The `getCompanyInfo` API retrieves detailed information about a specific company.

### What it does:

- Returns complete company profile including business details, contact information, locations, and banking



## OpenAPI

````yaml get /reports/getCompanyInfo
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getCompanyInfo:
    get:
      tags: []
      summary: getCompanyInfo
      description: >-

        The `getCompanyInfo` API retrieves detailed information about a specific
        company.


        ### What it does:


        - Returns complete company profile including business details, contact
        information, locations, and banking
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: getCompanyInfo
                  example: getCompanyInfo
                companyId:
                  type: string
                  format: uuid
              required:
                - method
                - companyId
            example:
              method: getCompanyInfo
              companyId: B62B4EB2-4198-42FE-95E3-00959BEF1B8F
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  Company:
                    type: array
                    items:
                      type: object
                      properties:
                        company:
                          type: string
                        companyID:
                          type: string
                        businessWebsite:
                          type: string
                        registration:
                          type: object
                          properties:
                            isTermsAccepted:
                              type: boolean
                            isEsign:
                              type: boolean
                          required:
                            - isTermsAccepted
                            - isEsign
                        CompanyLocations:
                          type: array
                          items:
                            type: object
                            properties:
                              address1:
                                type: string
                              address2:
                                type: string
                              city:
                                type: string
                              state:
                                type: string
                              zipcode:
                                type: string
                              country:
                                type: string
                              companyLocation:
                                type: string
                        KYBInformations:
                          type: array
                          items:
                            type: object
                            properties:
                              ein:
                                type: string
                              email:
                                type: string
                              EntityType:
                                type: object
                                properties:
                                  entityType:
                                    type: string
                                required:
                                  - entityType
                              phoneNumber:
                                type: string
                              dateOfIncorporation:
                                type: string
                        kycStatus:
                          type: string
                        BankAccounts:
                          type: array
                          items:
                            type: object
                            properties:
                              companyFundingSourceEntityId:
                                type: string
                              bankName:
                                type: string
                              accountName:
                                type: string
                              accountNumber:
                                type: string
                              accountType:
                                type: string
                required:
                  - Company
              example:
                Company:
                  - company: Diferential Pay
                    companyID: B62B4EB2-4198-42FE-95E3-00959BEF1B8F
                    businessWebsite: ''
                    registration:
                      isTermsAccepted: true
                      isEsign: true
                    CompanyLocations:
                      - address1: 8642 Yule St
                        address2: ''
                        city: Arvada
                        state: CO
                        zipcode: 80007-7241
                        country: US
                        companyLocation: Main
                    KYBInformations:
                      - ein: '389723826'
                        email: tylerhm@mailsac.com
                        EntityType:
                          entityType: LLC
                        phoneNumber: '8473625628'
                        dateOfIncorporation: '2024-11-21'
                    kycStatus: passed
                    BankAccounts:
                      - companyFundingSourceEntityId: 141C7B75-1044-4D18-A64B-64895BAF8090
                        bankName: First Platypus Bank
                        accountName: Plaid Saving
                        accountNumber: XXXXXXXXX1111
                        accountType: savings
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````